Bug 169106 - Review Request: fwrestart, safe firewall restarting script
Review Request: fwrestart, safe firewall restarting script
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
David Lawrence
http://www.scrye.com/~kevin/fedora-ex...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-22 22:13 EDT by Kevin Fenzi
Modified: 2011-02-14 12:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-26 13:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2005-09-22 22:13:41 EDT
Spec Name or Url: http://www.scrye.com/~kevin/fedora-extras/fwrestart.spec
SRPM Name or Url: http://www.scrye.com/~kevin/fedora-extras/fwrestart-1.01-3.src.rpm
Description: This program can automatically detect when changes to the firewall block
the administrative shell session, and to take corrective action

fwrestart uses terminal auto-response codes to safely re-start firewall
rules over a remote shell session.  It sends a request to your terminal
(xterm, for example), which responds back automatically.  When that
response is received, ensuring that fwrestart can communicate with the
terminal, fwrestart then issues a command to restart the firewall.
It then tries another request to the terminal, and if that is not
received within 5 seconds, a command is run to clear the firewall and
an appropriate error is generated.
Comment 1 Ed Hill 2005-09-22 22:57:56 EDT
good:
 + license OK and included
 + source matches upstream
 + code not content
 + specfile OK
 + rpmlint OK
 + builds on FC4

This is a very simple package (a single python script) and I don't see 
anything the matter with it so its APPROVED.
Comment 2 Kevin Fenzi 2005-09-26 13:53:44 EDT
Thanks. Built fine for development, and branches requested for fc3/fc4. 

closing with NEXTRELEASE per new package process. 
Comment 3 Kevin Fenzi 2007-02-18 00:35:18 EST
Setting fedora-cvs flag here to request EL-4 and EL-5 branches for this package. 
Comment 4 eams5 2011-02-14 12:06:47 EST
http://www.standardscentre.co.uk

Note You need to log in before you can comment on or make changes to this bug.